# Uses of Enum Class
jspecview.common.Spectrum.IRMode

Packages that use Spectrum.IRMode
Package
Description
jspecview.common

## Uses of Spectrum.IRMode in jspecview.common

Subclasses with type arguments of type Spectrum.IRMode in jspecview.common
Modifier and Type
Class
Description
`static enum`
`Spectrum.IRMode`
Methods in jspecview.common that return Spectrum.IRMode
Modifier and Type
Method
Description
`static Spectrum.IRMode`
Spectrum.IRMode.`getMode(String value)`
`static Spectrum.IRMode`
Spectrum.IRMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Spectrum.IRMode[]`
Spectrum.IRMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jspecview.common with parameters of type Spectrum.IRMode
Modifier and Type
Method
Description
`static boolean`
Spectrum.`process(Lst<Spectrum> specs, Spectrum.IRMode irMode)`
`void`
PanelData.`setIRMode(Spectrum.IRMode mode, String type)`
`static Spectrum`
Spectrum.`taConvert(Spectrum spectrum, Spectrum.IRMode mode)`